summaryrefslogtreecommitdiffstats
path: root/edksetup.sh
diff options
context:
space:
mode:
authorZhijux Fan <zhijux.fan@intel.com>2018-12-28 15:14:49 +0800
committerFeng, Bob C <bob.c.feng@intel.com>2019-02-01 11:09:23 +0800
commitd8238aaf862a55eec77040844c71a02c71294e86 (patch)
tree55522f7277ca467faa98ba423786da77c725ad70 /edksetup.sh
parentfd2d74007bfae2bcc6da47457189ed9b7cdd106d (diff)
downloadedk2-d8238aaf862a55eec77040844c71a02c71294e86.tar.gz
edk2-d8238aaf862a55eec77040844c71a02c71294e86.tar.bz2
edk2-d8238aaf862a55eec77040844c71a02c71294e86.zip
BaseTools:Linux Python highest version check.
Linux Python highest version check. The path of Python interpreter assign values to PYTHON_COMMAND Cc: Bob Feng <bob.c.feng@intel.com> Cc: Liming Gao <liming.gao@intel.com> Contributed-under: TianoCore Contribution Agreement 1.1 Signed-off-by: Zhiju.Fan <zhijux.fan@intel.com> Tested-by: Laszlo Ersek <lersek@redhat.com> Tested-by: Ard Biesheuvel <ard.biesheuvel@linaro.org> Reviewed-by: Liming Gao <liming.gao@intel.com> Reviewed-by: Bob Feng <bob.c.feng@intel.com>
Diffstat (limited to 'edksetup.sh')
-rwxr-xr-xedksetup.sh16
1 files changed, 11 insertions, 5 deletions
diff --git a/edksetup.sh b/edksetup.sh
index 06f95f4b9c..bfa54ddf70 100755
--- a/edksetup.sh
+++ b/edksetup.sh
@@ -115,11 +115,14 @@ function SetupPython()
{
if [ $PYTHON3_ENABLE ] && [ $PYTHON3_ENABLE == TRUE ]
then
- for python in $(which python3)
+ if [ $origin_version ];then
+ origin_version=
+ fi
+ for python in $(whereis python3)
do
python=$(echo $python | grep "[[:digit:]]$" || true)
python_version=${python##*python}
- if [ -z "${python_version}" ];then
+ if [ -z "${python_version}" ] || (! command -v $python >/dev/null 2>&1);then
continue
fi
if [ -z $origin_version ];then
@@ -137,14 +140,17 @@ function SetupPython()
if [ -z $PYTHON3_ENABLE ] || [ $PYTHON3_ENABLE != TRUE ]
then
- for python in $(which python2)
+ if [ $origin_version ];then
+ origin_version=
+ fi
+ for python in $(whereis python2)
do
python=$(echo $python | grep "[[:digit:]]$" || true)
python_version=${python##*python}
- if [ -z "${python_version}" ];then
+ if [ -z "${python_version}" ] || (! command -v $python >/dev/null 2>&1);then
continue
fi
- if [ -z $origin_version ] || [ $origin_version -ge 3 ]
+ if [ -z $origin_version ]
then
origin_version=$python_version
export PYTHON=$python